package de.hft.stuttgart.citydoctor2.gui;

import java.io.IOException;

import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.stage.Modality;
import javafx.stage.Stage;
import javafx.stage.StageStyle;
import javafx.stage.Window;

public class LoadingInfoDialog {
	
	private Stage stage;

	public LoadingInfoDialog(Window parent) throws IOException {
		FXMLLoader loader = new FXMLLoader(LoadingInfoDialog.class.getResource("CreateRenderDataDialog.fxml"));
		loader.setController(this);
		VBox box = loader.load();
		
		stage = new Stage(StageStyle.UNDECORATED);
		Scene scene = new Scene(box);
		scene.setFill(null);
		stage.setScene(scene);
		stage.initOwner(parent);
		stage.initModality(Modality.APPLICATION_MODAL);
	}
	
	public void show() {
		stage.show();
	}
	
	public void hide() {
		stage.hide();
	}

}
