package de.hft.stuttgart.citydoctor2.healer.gui;

import javafx.scene.control.TreeCell;
import javafx.scene.paint.Color;

public class ChooseDialogTreeCell extends TreeCell<SelectableFeature> {
	
	@Override
	protected void updateItem(SelectableFeature item, boolean empty) {
		super.updateItem(item, empty);
		if (!empty && item != null) {
			setTextFill(Color.RED);
			setText(item.getText());
		} else {
			setText(null);
			setGraphic(null);
		}
	}

}
